import { readFundingIfExists } from './readFundingIfExists.js';
import { readOwnerFromGitRemote } from './readOwnerFromGitRemote.js';
import { readTitleFromReadme } from './readTitleFromReadme.js';

declare function getMigrationDefaults(): Promise<{
    author: () => Promise<string | undefined>;
    email: () => Promise<string | undefined>;
    funding: typeof readFundingIfExists;
    owner: typeof readOwnerFromGitRemote;
    releases: boolean;
    title: typeof readTitleFromReadme;
    unitTests: boolean;
}>;

export { getMigrationDefaults };
