import chalk from "chalk";
import gitRemoteOriginUrl from "git-remote-origin-url";
import gitUrlParse from "git-url-parse";
import { logLine } from "./cli/lines.js";
async function getGitDefaultSettings() {
  try {
    const gitRemoteUrl = await gitRemoteOriginUrl();
    const { name, owner } = gitUrlParse(gitRemoteUrl);
    return { owner, repository: name };
  } catch {
    logLine();
    logLine(
      chalk.gray(
        "Could not populate default owner and repository. Did not detect an 'origin' remote."
      )
    );
    return {
      owner: "UserName",
      repository: "my-lovely-repository"
    };
  }
}
export {
  getGitDefaultSettings
};
//# sourceMappingURL=getGitDefaultSettings.js.map