import * as prompts from "@clack/prompts";
import { handlePromptCancel } from "./prompts.js";
async function getPrefillOrPromptedValue(existingValue, message, placeholder) {
  if (existingValue) {
    return existingValue;
  }
  const value = await prompts.text({
    message,
    placeholder,
    validate: (val) => {
      if (val.length === 0) {
        return "Please enter a value.";
      }
    }
  });
  handlePromptCancel(value);
  return value;
}
export {
  getPrefillOrPromptedValue
};
//# sourceMappingURL=getPrefillOrPromptedValue.js.map