import { Octokit } from 'octokit';

type GetterDefaultInputValues = {
    [K in keyof DefaultInputValues]: (() => Promise<DefaultInputValues[K]>) | DefaultInputValues[K];
};
interface DefaultInputValues {
    author: string | undefined;
    description: string;
    email: string | undefined;
    funding: string | undefined;
    owner: string | undefined;
    releases: boolean | undefined;
    repository: string;
    skipApi: boolean;
    skipContributors: boolean | undefined;
    skipInstall: boolean | undefined;
    skipRemoval: boolean | undefined;
    skipRestore: boolean | undefined;
    skipUninstall: boolean | undefined;
    title: string;
    unitTests: boolean | undefined;
}
interface InputValues extends DefaultInputValues {
    owner: string;
}
interface HelpersAndValues {
    octokit: Octokit | undefined;
    values: InputValues;
}
interface InputValuesOverrides {
    owner?: () => Promise<string> | string;
    repository?: () => Promise<string> | string;
}
interface InputValuesAndOctokitSettings {
    args: string[];
    defaults?: Partial<GetterDefaultInputValues>;
    overrides?: InputValuesOverrides;
}
declare function readInputs({ args, defaults, overrides, }: InputValuesAndOctokitSettings): Promise<HelpersAndValues>;

export { DefaultInputValues, GetterDefaultInputValues, HelpersAndValues, InputValues, InputValuesAndOctokitSettings, InputValuesOverrides, readInputs };
